/// <reference types="pcore-pconnect-typedefs" />
import { OnInit, OnDestroy } from '@angular/core';
import { AngularPConnectData, AngularPConnectService } from '../../../_bridge/angular-pconnect';
import * as i0 from "@angular/core";
export declare class DetailsComponent implements OnInit, OnDestroy {
    private angularPConnect;
    constructor(angularPConnect: AngularPConnectService);
    pConn$: typeof PConnect;
    highlightedDataArr: any[];
    showHighlightedData: boolean;
    arFields$: any[];
    angularPConnectData: AngularPConnectData;
    ngOnInit(): void;
    ngOnDestroy(): void;
    onStateChange(): void;
    checkAndUpdate(): void;
    updateSelf(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<DetailsComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DetailsComponent, "app-details", never, { "pConn$": { "alias": "pConn$"; "required": false; }; }, {}, never, never, true, never>;
}
